VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL F_MISO
        SIGNAL XLXN_892(3:0)
        SIGNAL F_MOSI
        SIGNAL F_DS
        SIGNAL F_SCK
        SIGNAL F_RS
        SIGNAL XLXN_917(31:0)
        SIGNAL vs_out
        SIGNAL ClkIn
        SIGNAL XLXN_1049
        SIGNAL VRAM_D(7:0)
        SIGNAL XLXN_1087(3:0)
        SIGNAL RAMD(31:0)
        SIGNAL XLXN_1092
        SIGNAL XLXN_1096(18:0)
        SIGNAL P_ADDR(18:0)
        SIGNAL P_ADDR(13:0)
        SIGNAL LC_ena
        SIGNAL LC_WEN
        SIGNAL hs_out
        SIGNAL red_v(3:0)
        SIGNAL green_v(3:0)
        SIGNAL blue_v(3:0)
        SIGNAL BTN(3:0)
        SIGNAL BTN(7:4)
        SIGNAL BTN(31:0)
        SIGNAL XLXN_1143
        SIGNAL XLXN_1145
        SIGNAL XLXN_1152(7:0)
        SIGNAL XLXN_1153
        SIGNAL XLXN_1159(18:0)
        SIGNAL XLXN_1160
        SIGNAL XLXN_1161
        SIGNAL XLXN_1162
        SIGNAL XLXN_1165
        SIGNAL XLXN_1167
        SIGNAL XLXN_1168
        SIGNAL DAC_CLK
        SIGNAL WEN
        SIGNAL VRAM_A(18:0)
        SIGNAL OEN
        SIGNAL XLXN_1186(18:0)
        SIGNAL XLXN_1187
        SIGNAL XLXN_1188
        SIGNAL XLXN_1189
        SIGNAL XLXN_1191
        SIGNAL DAC_WR
        SIGNAL XLXN_1193
        SIGNAL XLXN_1194(31:0)
        SIGNAL DAC_MPX
        SIGNAL XLXN_384
        SIGNAL TestLED
        SIGNAL XLXN_1199
        SIGNAL XLXN_1200
        SIGNAL XLXN_1201
        SIGNAL XLXN_1202
        SIGNAL XLXN_1203
        SIGNAL XLXN_1204
        SIGNAL XLXN_1205(3:0)
        SIGNAL green_out(2:0)
        SIGNAL blue_out(2:0)
        SIGNAL red_out(2:0)
        SIGNAL red_v(3:1)
        SIGNAL green_v(3:1)
        SIGNAL blue_v(3:1)
        PORT Output F_MISO
        PORT Input F_MOSI
        PORT Input F_DS
        PORT Input F_SCK
        PORT Input F_RS
        PORT Output vs_out
        PORT Input ClkIn
        PORT BiDirectional VRAM_D(7:0)
        PORT Output hs_out
        PORT Output DAC_CLK
        PORT Output WEN
        PORT Output VRAM_A(18:0)
        PORT Output OEN
        PORT Output DAC_WR
        PORT Output DAC_MPX
        PORT Output TestLED
        PORT Output green_out(2:0)
        PORT Output blue_out(2:0)
        PORT Output red_out(2:0)
        BEGIN BLOCKDEF constant
            TIMESTAMP 2006 1 1 10 10 10
            RECTANGLE N 0 0 112 64 
            LINE N 144 32 112 32 
        END BLOCKDEF
        BEGIN BLOCKDEF buf
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 128 -32 
            LINE N 64 0 128 -32 
            LINE N 128 -32 64 -64 
            LINE N 64 -64 64 0 
        END BLOCKDEF
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -32 64 -64 
            LINE N 64 0 64 -32 
            LINE N 96 -64 32 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF ibufg
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 0 64 -64 
            LINE N 128 -32 64 0 
            LINE N 64 -64 128 -32 
            LINE N 224 -32 128 -32 
            LINE N 0 -32 64 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF cb4re
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 384 -192 320 -192 
            LINE N 0 -32 64 -32 
            LINE N 0 -128 64 -128 
            LINE N 384 -256 320 -256 
            LINE N 384 -320 320 -320 
            LINE N 384 -384 320 -384 
            LINE N 384 -448 320 -448 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 384 -128 320 -128 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 0 -192 64 -192 
            RECTANGLE N 64 -512 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF PACMAN
            TIMESTAMP 2009 2 12 12 35 46
            RECTANGLE N 448 -44 512 -20 
            LINE N 448 -32 512 -32 
            LINE N 448 -672 512 -672 
            LINE N 448 -608 512 -608 
            RECTANGLE N 448 -364 512 -340 
            LINE N 448 -352 512 -352 
            RECTANGLE N 448 -300 512 -276 
            LINE N 448 -288 512 -288 
            RECTANGLE N 448 -236 512 -212 
            LINE N 448 -224 512 -224 
            RECTANGLE N 448 -172 512 -148 
            LINE N 448 -160 512 -160 
            RECTANGLE N 0 -236 64 -212 
            LINE N 64 -224 0 -224 
            RECTANGLE N 0 -172 64 -148 
            LINE N 64 -160 0 -160 
            LINE N 64 -672 0 -672 
            LINE N 64 -608 0 -608 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            LINE N 448 -96 512 -96 
            RECTANGLE N 448 -428 512 -404 
            LINE N 448 -416 512 -416 
            RECTANGLE N 64 -704 448 0 
            LINE N 448 -480 512 -480 
        END BLOCKDEF
        BEGIN BLOCKDEF SPI
            TIMESTAMP 2009 2 11 9 59 6
            RECTANGLE N 64 -640 320 0 
            LINE N 64 -608 0 -608 
            LINE N 64 -544 0 -544 
            LINE N 64 -480 0 -480 
            LINE N 64 -416 0 -416 
            LINE N 64 -352 0 -352 
            RECTANGLE N 0 -300 64 -276 
            LINE N 64 -288 0 -288 
            RECTANGLE N 0 -236 64 -212 
            LINE N 64 -224 0 -224 
            RECTANGLE N 0 -172 64 -148 
            LINE N 64 -160 0 -160 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            LINE N 320 -608 384 -608 
            RECTANGLE N 320 -300 384 -276 
            LINE N 320 -288 384 -288 
            RECTANGLE N 320 -236 384 -212 
            LINE N 320 -224 384 -224 
            RECTANGLE N 320 -172 384 -148 
            LINE N 320 -160 384 -160 
            RECTANGLE N 320 -108 384 -84 
            LINE N 320 -96 384 -96 
            LINE N 320 -544 384 -544 
            LINE N 320 -480 384 -480 
            LINE N 320 -416 384 -416 
            LINE N 320 -352 384 -352 
        END BLOCKDEF
        BEGIN BLOCKDEF SPI_LC
            TIMESTAMP 2009 2 6 8 30 24
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            RECTANGLE N 320 -108 384 -84 
            LINE N 320 -96 384 -96 
            LINE N 64 -352 0 -352 
            LINE N 64 -224 0 -224 
            LINE N 64 -288 0 -288 
            LINE N 64 -96 0 -96 
            LINE N 64 -160 0 -160 
            RECTANGLE N 64 -384 320 0 
            LINE N 320 -160 384 -160 
            RECTANGLE N 320 -236 384 -212 
            LINE N 320 -224 384 -224 
            LINE N 320 -288 384 -288 
        END BLOCKDEF
        BEGIN BLOCKDEF COUNT_LC
            TIMESTAMP 2009 2 13 6 42 15
            LINE N 64 -128 0 -128 
            LINE N 352 0 416 0 
            LINE N 64 -64 0 -64 
            LINE N 352 -64 416 -64 
            RECTANGLE N 352 -140 416 -116 
            LINE N 352 -128 416 -128 
            RECTANGLE N 64 -160 352 32 
            LINE N 64 0 0 0 
        END BLOCKDEF
        BEGIN BLOCKDEF MPX18_OEWR
            TIMESTAMP 2009 2 13 8 49 23
            RECTANGLE N 0 84 64 108 
            LINE N 64 96 0 96 
            RECTANGLE N 0 -172 64 -148 
            LINE N 64 -160 0 -160 
            LINE N 64 32 0 32 
            RECTANGLE N 0 -236 64 -212 
            LINE N 64 -224 0 -224 
            LINE N 64 -96 0 -96 
            LINE N 64 -288 0 -288 
            LINE N 64 -32 0 -32 
            LINE N 432 -96 496 -96 
            LINE N 432 -32 496 -32 
            RECTANGLE N 432 -172 496 -148 
            LINE N 432 -160 496 -160 
            LINE N 432 32 496 32 
            RECTANGLE N 432 -364 496 -340 
            LINE N 432 -352 496 -352 
            RECTANGLE N 64 -408 432 140 
            RECTANGLE N 0 -364 64 -340 
            LINE N 64 -352 0 -352 
        END BLOCKDEF
        BEGIN BLOCK XLXI_833 ibufg
            PIN I ClkIn
            PIN O XLXN_1049
        END BLOCK
        BEGIN BLOCK XLXI_838 SPI
            PIN SYSCLK XLXN_1049
            PIN F_DS F_DS
            PIN F_RS F_RS
            PIN F_SCLK F_SCK
            PIN F_MOSI F_MOSI
            PIN D0(31:0)
            PIN D1(31:0)
            PIN D2(31:0)
            PIN D3(31:0) XLXN_917(31:0)
            PIN BASEADR(3:0) XLXN_892(3:0)
            PIN F_MISO F_MISO
            PIN Q0(31:0) BTN(31:0)
            PIN Q1(31:0)
            PIN Q2(31:0)
            PIN Q3(31:0)
            PIN STROBE0
            PIN STROBE1
            PIN STROBE2
            PIN STROBE3
        END BLOCK
        BEGIN BLOCK XLXI_850 SPI_LC
            PIN F_RS F_RS
            PIN F_MOSI F_MOSI
            PIN F_DS F_DS
            PIN F_SCLK F_SCK
            PIN SYSCLK XLXN_1049
            PIN BASEADR(3:0) XLXN_1087(3:0)
            PIN RAMD(31:0) RAMD(31:0)
            PIN RAMINCR XLXN_1145
            PIN CORESEL(7:0)
            PIN CORERST XLXN_1092
        END BLOCK
        BEGIN BLOCK XLXI_759 constant
            BEGIN ATTR CValue "10022009"
                DELETE all:1 sym:0
                EDITNAME all:1 sch:0
                VALUETYPE BitVector 32 Hexadecimal
            END ATTR
            PIN O XLXN_917(31:0)
        END BLOCK
        BEGIN BLOCK XLXI_341 constant
            BEGIN ATTR CValue "0"
                DELETE all:1 sym:0
                EDITNAME all:1 sch:0
                VALUETYPE BitVector 32 Hexadecimal
            END ATTR
            PIN O XLXN_892(3:0)
        END BLOCK
        BEGIN BLOCK XLXI_853 constant
            BEGIN ATTR CValue "8"
                DELETE all:1 sym:0
                EDITNAME all:1 sch:0
                VALUETYPE BitVector 32 Hexadecimal
            END ATTR
            PIN O XLXN_1087(3:0)
        END BLOCK
        BEGIN BLOCK XLXI_857 MPX18_OEWR
            PIN P_OE XLXN_1143
            PIN LC_WEN LC_WEN
            PIN DA_ENA XLXN_1153
            PIN LC_ENA LC_ena
            PIN P_ADDR(18:0) P_ADDR(18:0)
            PIN LC_ADDR(18:0) XLXN_1096(18:0)
            PIN DAC(7:0) XLXN_1152(7:0)
            PIN LC_RAMD(31:0) RAMD(31:0)
            PIN RDATA_Z(7:0) VRAM_D(7:0)
            PIN OEN OEN
            PIN WEN WEN
            PIN DA_CLK DAC_CLK
            PIN ADDR(18:0) VRAM_A(18:0)
        END BLOCK
        BEGIN BLOCK XLXI_837 PACMAN
            PIN I_RESET LC_ena
            PIN I_CLK_REF XLXN_1049
            PIN P_DATA(7:0) VRAM_D(7:0)
            PIN I_SW(3:0) BTN(7:4)
            PIN I_BUTTON(3:0) BTN(3:0)
            PIN O_HSYNC hs_out
            PIN O_VSYNC vs_out
            PIN P_OE XLXN_1143
            PIN O_VIDEO_R(3:0) red_v(3:0)
            PIN O_VIDEO_G(3:0) green_v(3:0)
            PIN O_VIDEO_B(3:0) blue_v(3:0)
            PIN P_ADDR(13:0) P_ADDR(13:0)
            PIN AUDIODAC(7:0) XLXN_1152(7:0)
            PIN O_LED(3:0)
            PIN O_ENA6 XLXN_1153
        END BLOCK
        BEGIN BLOCK XLXI_865 COUNT_LC
            PIN SYSCLK XLXN_1049
            PIN CORERST XLXN_1092
            PIN LC_ENA LC_ena
            PIN LC_WEN LC_WEN
            PIN LC_ADDR(18:0) XLXN_1096(18:0)
            PIN RAMINCR XLXN_1145
        END BLOCK
        BEGIN BLOCK XLXI_860 buf
            PIN I DAC_CLK
            PIN O DAC_WR
        END BLOCK
        BEGIN BLOCK XLXI_831 vcc
            PIN P DAC_MPX
        END BLOCK
        BEGIN BLOCK XLXI_192 cb4re
            PIN C vs_out
            PIN CE XLXN_384
            PIN R
            PIN CEO
            PIN Q0
            PIN Q1
            PIN Q2
            PIN Q3 TestLED
            PIN TC
        END BLOCK
        BEGIN BLOCK XLXI_193 vcc
            PIN P XLXN_384
        END BLOCK
        BEGIN BLOCK XLXI_840(2:0) buf
            PIN I green_v(3:1)
            PIN O green_out(2:0)
        END BLOCK
        BEGIN BLOCK XLXI_841(2:0) buf
            PIN I blue_v(3:1)
            PIN O blue_out(2:0)
        END BLOCK
        BEGIN BLOCK XLXI_839(2:0) buf
            PIN I red_v(3:1)
            PIN O red_out(2:0)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN BRANCH F_MISO
            WIRE 272 384 1088 384
            WIRE 1088 384 1088 544
            WIRE 1072 544 1088 544
        END BRANCH
        BEGIN BRANCH XLXN_892(3:0)
            WIRE 320 1168 480 1168
            WIRE 480 1120 480 1168
            WIRE 480 1120 688 1120
        END BRANCH
        BEGIN BRANCH F_MOSI
            WIRE 288 800 544 800
            WIRE 544 800 688 800
            WIRE 544 800 544 1520
            WIRE 544 1520 688 1520
        END BRANCH
        IOMARKER 288 800 F_MOSI R180 28
        BEGIN BRANCH F_DS
            WIRE 288 608 592 608
            WIRE 592 608 688 608
            WIRE 592 608 592 1328
            WIRE 592 1328 688 1328
        END BRANCH
        IOMARKER 288 608 F_DS R180 28
        BEGIN BRANCH F_SCK
            WIRE 288 736 560 736
            WIRE 560 736 688 736
            WIRE 560 736 560 1456
            WIRE 560 1456 688 1456
        END BRANCH
        IOMARKER 288 736 F_SCK R180 28
        BEGIN BRANCH F_RS
            WIRE 288 672 576 672
            WIRE 576 672 688 672
            WIRE 576 672 576 1392
            WIRE 576 1392 688 1392
        END BRANCH
        IOMARKER 288 672 F_RS R180 28
        BEGIN BRANCH XLXN_917(31:0)
            WIRE 320 1056 688 1056
        END BRANCH
        IOMARKER 272 384 F_MISO R180 28
        IOMARKER 272 240 ClkIn R180 28
        BEGIN BRANCH vs_out
            WIRE 1984 416 2032 416
            WIRE 2032 416 2080 416
            WIRE 2032 416 2032 2576
            WIRE 2032 2576 2304 2576
        END BRANCH
        INSTANCE XLXI_833 320 272 R0
        BEGIN BRANCH ClkIn
            WIRE 272 240 320 240
        END BRANCH
        BEGIN DISPLAY 800 124 TEXT "ct-PacMan, Adaption fuer ct-Lab von C.Meyer cm@ctmagazin.de"
            FONT 40 "Arial"
        END DISPLAY
        BEGIN INSTANCE XLXI_838 688 1152 R0
        END INSTANCE
        BEGIN BRANCH VRAM_D(7:0)
            WIRE 1440 992 1472 992
            WIRE 1440 992 1440 1120
            WIRE 1440 1120 1744 1120
            WIRE 1744 1120 2816 1120
            WIRE 2816 1120 2816 1520
            WIRE 2816 1120 2912 1120
            WIRE 2736 1520 2816 1520
            BEGIN DISPLAY 1744 1120 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_1087(3:0)
            WIRE 336 1584 688 1584
        END BRANCH
        BEGIN BRANCH RAMD(31:0)
            WIRE 1072 1520 1552 1520
            WIRE 1552 1520 2240 1520
            BEGIN DISPLAY 1552 1520 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_1096(18:0)
            WIRE 1616 1712 2240 1712
        END BRANCH
        BEGIN BRANCH P_ADDR(18:0)
            WIRE 2000 1648 2096 1648
            WIRE 2096 1648 2240 1648
            BEGIN DISPLAY 2000 1648 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH P_ADDR(13:0)
            WIRE 1984 992 2096 992
            WIRE 2096 992 2096 1328
            WIRE 2096 1328 2096 1552
            BEGIN DISPLAY 2096 1328 ATTR Name
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 2096 1648 2096 1552
        BEGIN BRANCH LC_WEN
            WIRE 1616 1840 1888 1840
            WIRE 1888 1840 2240 1840
            BEGIN DISPLAY 1888 1840 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_857 2240 1872 R0
        END INSTANCE
        BEGIN BRANCH XLXN_1092
            WIRE 1072 1328 1136 1328
            WIRE 1136 1328 1136 1776
            WIRE 1136 1776 1200 1776
        END BRANCH
        BEGIN BRANCH hs_out
            WIRE 1984 352 2080 352
        END BRANCH
        BEGIN BRANCH red_v(3:0)
            WIRE 1984 672 2224 672
            BEGIN DISPLAY 2224 672 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH green_v(3:0)
            WIRE 1984 736 2224 736
            BEGIN DISPLAY 2224 736 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH blue_v(3:0)
            WIRE 1984 800 2224 800
            BEGIN DISPLAY 2224 800 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        IOMARKER 2080 416 vs_out R0 28
        IOMARKER 2080 352 hs_out R0 28
        BEGIN BRANCH BTN(3:0)
            WIRE 1328 864 1472 864
            BEGIN DISPLAY 1328 864 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH BTN(7:4)
            WIRE 1328 800 1472 800
            BEGIN DISPLAY 1328 800 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH BTN(31:0)
            WIRE 1072 864 1136 864
            WIRE 1136 864 1136 944
            WIRE 1136 944 1200 944
            BEGIN DISPLAY 1200 944 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_837 1472 1024 R0
        END INSTANCE
        BEGIN BRANCH XLXN_1152(7:0)
            WIRE 1984 608 2064 608
            WIRE 2064 608 2064 1968
            WIRE 2064 1968 2240 1968
        END BRANCH
        BEGIN BRANCH XLXN_1153
            WIRE 1984 544 2192 544
            WIRE 2192 544 2192 1904
            WIRE 2192 1904 2240 1904
        END BRANCH
        BEGIN BRANCH XLXN_1049
            WIRE 544 240 608 240
            WIRE 608 240 608 544
            WIRE 608 544 688 544
            WIRE 608 544 608 1200
            WIRE 608 1200 608 1264
            WIRE 608 1264 688 1264
            WIRE 608 1200 1168 1200
            WIRE 1168 1200 1168 1712
            WIRE 1168 1712 1200 1712
            WIRE 608 240 1168 240
            WIRE 1168 240 1168 416
            WIRE 1168 416 1472 416
        END BRANCH
        BEGIN INSTANCE XLXI_865 1200 1840 R0
        END INSTANCE
        BEGIN BRANCH XLXN_1143
            WIRE 1984 928 2160 928
            WIRE 2160 928 2160 1584
            WIRE 2160 1584 2240 1584
        END BRANCH
        BEGIN BRANCH LC_ena
            WIRE 1360 352 1472 352
            WIRE 1360 352 1360 1312
            WIRE 1360 1312 1536 1312
            WIRE 1536 1312 1728 1312
            WIRE 1728 1312 1728 1776
            WIRE 1728 1776 2240 1776
            WIRE 1616 1776 1728 1776
            BEGIN DISPLAY 1536 1312 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DAC_CLK
            WIRE 2736 1904 2768 1904
            WIRE 2768 1904 2768 2000
            WIRE 2768 2000 2816 2000
            WIRE 2768 1904 2880 1904
        END BRANCH
        BEGIN BRANCH WEN
            WIRE 2736 1840 2880 1840
        END BRANCH
        BEGIN BRANCH VRAM_A(18:0)
            WIRE 2736 1712 2880 1712
        END BRANCH
        BEGIN BRANCH OEN
            WIRE 2736 1776 2880 1776
        END BRANCH
        BEGIN BRANCH DAC_WR
            WIRE 3040 2000 3056 2000
        END BRANCH
        INSTANCE XLXI_860 2816 2032 R0
        IOMARKER 2880 1904 DAC_CLK R0 28
        IOMARKER 2880 1840 WEN R0 28
        IOMARKER 2880 1712 VRAM_A(18:0) R0 28
        IOMARKER 2880 1776 OEN R0 28
        IOMARKER 2912 1120 VRAM_D(7:0) R0 28
        IOMARKER 3056 2000 DAC_WR R0 28
        BEGIN BRANCH DAC_MPX
            WIRE 2976 2176 2976 2192
            WIRE 2976 2192 3056 2192
        END BRANCH
        INSTANCE XLXI_831 2912 2176 R0
        IOMARKER 3056 2192 DAC_MPX R0 28
        BEGIN BRANCH XLXN_384
            WIRE 2256 2464 2256 2512
            WIRE 2256 2512 2304 2512
        END BRANCH
        BEGIN BRANCH TestLED
            WIRE 2688 2448 2704 2448
            WIRE 2704 2448 2864 2448
        END BRANCH
        INSTANCE XLXI_192 2304 2704 R0
        INSTANCE XLXI_193 2192 2464 R0
        BEGIN INSTANCE XLXI_850 688 1616 R0
        END INSTANCE
        BEGIN BRANCH XLXN_1145
            WIRE 1072 1456 1104 1456
            WIRE 1104 1456 1104 1840
            WIRE 1104 1840 1200 1840
        END BRANCH
        BEGIN INSTANCE XLXI_341 176 1136 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_759 176 1024 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_853 192 1552 R0
        END INSTANCE
        BEGIN DISPLAY 2344 1340 TEXT "SRAM Interface"
            FONT 40 "Arial"
        END DISPLAY
        BEGIN DISPLAY 1204 1956 TEXT AutoIncrement-Zaehler
            FONT 40 "Arial"
        END DISPLAY
        BEGIN BRANCH green_out(2:0)
            WIRE 2864 736 2912 736
        END BRANCH
        BEGIN BRANCH blue_out(2:0)
            WIRE 2864 800 2912 800
        END BRANCH
        BEGIN BRANCH red_out(2:0)
            WIRE 2864 672 2912 672
        END BRANCH
        INSTANCE XLXI_840(2:0) 2640 768 R0
        INSTANCE XLXI_841(2:0) 2640 832 R0
        INSTANCE XLXI_839(2:0) 2640 704 R0
        BEGIN BRANCH red_v(3:1)
            WIRE 2576 672 2640 672
            BEGIN DISPLAY 2576 672 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH green_v(3:1)
            WIRE 2576 736 2640 736
            BEGIN DISPLAY 2576 736 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH blue_v(3:1)
            WIRE 2576 800 2640 800
            BEGIN DISPLAY 2576 800 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        IOMARKER 2912 736 green_out(2:0) R0 28
        IOMARKER 2912 800 blue_out(2:0) R0 28
        IOMARKER 2912 672 red_out(2:0) R0 28
        IOMARKER 2864 2448 TestLED R0 28
    END SHEET
END SCHEMATIC
