VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL XLXN_3(3:0)
        SIGNAL F_MOSI
        SIGNAL F_DS
        SIGNAL F_SCK
        SIGNAL F_RS
        SIGNAL VRAM_D(7:0)
        SIGNAL XLXN_1087(3:0)
        SIGNAL RAMD(31:0)
        SIGNAL RAMD(7:0)
        SIGNAL XLXN_1096(18:0)
        SIGNAL PRAM_A(18:0)
        SIGNAL XLXN_1110
        SIGNAL LC_ACTIVE
        SIGNAL WEBN
        SIGNAL OEN
        SIGNAL VRAM_A(18:0)
        SIGNAL WEN
        SIGNAL XLXN_1092
        SIGNAL RAM_OEN
        SIGNAL XLXN_1145
        SIGNAL DAC_CLK
        SIGNAL DAC_D(7:0)
        SIGNAL DAC_ENA
        SIGNAL SYSCLK
        PORT Input F_MOSI
        PORT Input F_DS
        PORT Input F_SCK
        PORT Input F_RS
        PORT BiDirectional VRAM_D(7:0)
        PORT Input PRAM_A(18:0)
        PORT Output LC_ACTIVE
        PORT Output OEN
        PORT Output VRAM_A(18:0)
        PORT Output WEN
        PORT Input RAM_OEN
        PORT Output DAC_CLK
        PORT Input DAC_D(7:0)
        PORT Input DAC_ENA
        PORT Input SYSCLK
        BEGIN BLOCKDEF SPI_LC
            TIMESTAMP 2009 2 6 8 30 24
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            RECTANGLE N 320 -108 384 -84 
            LINE N 320 -96 384 -96 
            LINE N 64 -352 0 -352 
            LINE N 64 -224 0 -224 
            LINE N 64 -288 0 -288 
            LINE N 64 -96 0 -96 
            LINE N 64 -160 0 -160 
            RECTANGLE N 64 -384 320 0 
            LINE N 320 -160 384 -160 
            RECTANGLE N 320 -236 384 -212 
            LINE N 320 -224 384 -224 
            LINE N 320 -288 384 -288 
        END BLOCKDEF
        BEGIN BLOCKDEF constant
            TIMESTAMP 2006 1 1 10 10 10
            RECTANGLE N 0 0 112 64 
            LINE N 144 32 112 32 
        END BLOCKDEF
        BEGIN BLOCKDEF TristateBus8
            TIMESTAMP 2009 2 11 11 7 14
            RECTANGLE N 64 -128 320 0 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            RECTANGLE N 320 -108 384 -84 
            LINE N 320 -96 384 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF inv
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCKDEF MPX18_OEWR
            TIMESTAMP 2009 2 12 13 9 2
            LINE N 64 32 0 32 
            RECTANGLE N 0 84 64 108 
            LINE N 64 96 0 96 
            LINE N 320 32 384 32 
            LINE N 64 -288 0 -288 
            RECTANGLE N 0 -236 64 -212 
            LINE N 64 -224 0 -224 
            RECTANGLE N 0 -172 64 -148 
            LINE N 64 -160 0 -160 
            RECTANGLE N 320 -172 384 -148 
            LINE N 320 -160 384 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            LINE N 320 -96 384 -96 
            LINE N 320 -32 384 -32 
            RECTANGLE N 64 -320 320 128 
        END BLOCKDEF
        BEGIN BLOCKDEF COUNT_LC
            TIMESTAMP 2009 2 12 16 1 25
            RECTANGLE N 64 -160 352 40 
            LINE N 64 -64 0 -64 
            LINE N 64 0 0 0 
            LINE N 64 -128 0 -128 
            LINE N 352 -64 416 -64 
            LINE N 352 0 416 0 
            RECTANGLE N 352 -140 416 -116 
            LINE N 352 -128 416 -128 
        END BLOCKDEF
        BEGIN BLOCK XLXI_850 SPI_LC
            PIN F_RS F_RS
            PIN F_MOSI F_MOSI
            PIN F_DS F_DS
            PIN F_SCLK F_SCK
            PIN SYSCLK SYSCLK
            PIN BASEADR(3:0) XLXN_1087(3:0)
            PIN RAMD(31:0) RAMD(31:0)
            PIN RAMINCR XLXN_1145
            PIN CORESEL(7:0)
            PIN CORERST XLXN_1092
        END BLOCK
        BEGIN BLOCK XLXI_853 constant
            BEGIN ATTR CValue "8"
                DELETE all:1 sym:0
                EDITNAME all:1 sch:0
                VALUETYPE BitVector 32 Hexadecimal
            END ATTR
            PIN O XLXN_1087(3:0)
        END BLOCK
        BEGIN BLOCK XLXI_849 TristateBus8
            PIN DIS XLXN_1110
            PIN DIN(7:0) RAMD(7:0)
            PIN DOUT(7:0) VRAM_D(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_856 inv
            PIN I LC_ACTIVE
            PIN O XLXN_1110
        END BLOCK
        BEGIN BLOCK XLXI_857 MPX18_OEWR
            PIN OEAN RAM_OEN
            PIN WEBN WEBN
            PIN SEL LC_ACTIVE
            PIN DA(18:0) PRAM_A(18:0)
            PIN DB(18:0) XLXN_1096(18:0)
            PIN OEN OEN
            PIN WEN WEN
            PIN Q(18:0) VRAM_A(18:0)
            PIN DAENA DAC_ENA
            PIN DAC(0:7) DAC_D(7:0)
            PIN DACLK DAC_CLK
        END BLOCK
        BEGIN BLOCK XLXI_854 COUNT_LC
            PIN SYSCLK SYSCLK
            PIN LCRST XLXN_1092
            PIN LCINCR XLXN_1145
            PIN LCENA LC_ACTIVE
            PIN WEN WEBN
            PIN LCADDR(18:0) XLXN_1096(18:0)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN BRANCH F_MOSI
            WIRE 576 1648 864 1648
        END BRANCH
        BEGIN BRANCH F_SCK
            WIRE 576 1584 864 1584
        END BRANCH
        BEGIN BRANCH XLXN_1087(3:0)
            WIRE 816 1792 848 1792
            WIRE 848 1712 864 1712
            WIRE 848 1712 848 1792
        END BRANCH
        BEGIN BRANCH RAMD(31:0)
            WIRE 1248 1648 1424 1648
            WIRE 1424 1648 1664 1648
            BEGIN DISPLAY 1422 1648 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH RAMD(7:0)
            WIRE 1600 1440 1600 1552
            WIRE 1600 1440 1712 1440
            WIRE 1712 1440 2416 1440
            BEGIN DISPLAY 1712 1440 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_1096(18:0)
            WIRE 1792 1776 2416 1776
        END BRANCH
        BEGIN BRANCH PRAM_A(18:0)
            WIRE 2176 1712 2416 1712
        END BRANCH
        BEGIN BRANCH XLXN_1110
            WIRE 2160 1376 2416 1376
        END BRANCH
        BEGIN BRANCH LC_ACTIVE
            WIRE 1792 1840 1856 1840
            WIRE 1856 1376 1936 1376
            WIRE 1856 1376 1856 1552
            WIRE 1856 1552 1856 1648
            WIRE 1856 1648 2416 1648
            WIRE 1856 1648 1856 1840
            WIRE 1856 1552 2032 1552
        END BRANCH
        BEGIN BRANCH WEBN
            WIRE 1792 1904 2416 1904
        END BRANCH
        BEGIN BRANCH OEN
            WIRE 2800 1840 2928 1840
        END BRANCH
        BEGIN BRANCH VRAM_A(18:0)
            WIRE 2800 1776 2928 1776
        END BRANCH
        BEGIN BRANCH WEN
            WIRE 2800 1904 2928 1904
        END BRANCH
        BEGIN BRANCH XLXN_1092
            WIRE 1248 1456 1312 1456
            WIRE 1312 1456 1312 1840
            WIRE 1312 1840 1376 1840
        END BRANCH
        BEGIN BRANCH RAM_OEN
            WIRE 2176 1840 2416 1840
        END BRANCH
        BEGIN BRANCH XLXN_1145
            WIRE 1248 1584 1296 1584
            WIRE 1296 1584 1296 1904
            WIRE 1296 1904 1376 1904
        END BRANCH
        BEGIN BRANCH DAC_D(7:0)
            WIRE 2176 2032 2416 2032
        END BRANCH
        BEGIN BRANCH DAC_ENA
            WIRE 2176 1968 2416 1968
        END BRANCH
        BEGIN INSTANCE XLXI_850 864 1744 R0
        END INSTANCE
        BUSTAP 1600 1648 1600 1552
        BEGIN INSTANCE XLXI_849 2416 1472 R0
        END INSTANCE
        INSTANCE XLXI_856 1936 1408 R0
        BEGIN INSTANCE XLXI_857 2416 1936 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_854 1376 1904 R0
        END INSTANCE
        IOMARKER 2928 1840 OEN R0 28
        IOMARKER 2928 1776 VRAM_A(18:0) R0 28
        IOMARKER 2928 1904 WEN R0 28
        IOMARKER 2928 1968 DAC_CLK R0 28
        BEGIN BRANCH VRAM_D(7:0)
            WIRE 2800 1376 2944 1376
        END BRANCH
        IOMARKER 2944 1376 VRAM_D(7:0) R0 28
        BEGIN BRANCH F_RS
            WIRE 576 1520 864 1520
        END BRANCH
        BEGIN BRANCH F_DS
            WIRE 576 1456 864 1456
        END BRANCH
        BEGIN BRANCH SYSCLK
            WIRE 560 1312 784 1312
            WIRE 784 1312 784 1392
            WIRE 784 1392 864 1392
            WIRE 784 1312 1328 1312
            WIRE 1328 1312 1328 1776
            WIRE 1328 1776 1376 1776
        END BRANCH
        IOMARKER 576 1648 F_MOSI R180 28
        IOMARKER 576 1584 F_SCK R180 28
        IOMARKER 576 1520 F_RS R180 28
        IOMARKER 576 1456 F_DS R180 28
        IOMARKER 2176 1712 PRAM_A(18:0) R180 28
        IOMARKER 2176 1840 RAM_OEN R180 28
        IOMARKER 2176 1968 DAC_ENA R180 28
        IOMARKER 2176 2032 DAC_D(7:0) R180 28
        BEGIN BRANCH DAC_CLK
            WIRE 2800 1968 2928 1968
        END BRANCH
        IOMARKER 2032 1552 LC_ACTIVE R0 28
        IOMARKER 560 1312 SYSCLK R180 28
        BEGIN INSTANCE XLXI_853 672 1760 R0
        END INSTANCE
    END SHEET
END SCHEMATIC
